Page MenuHomePhabricator

WikiLove: Stylesheet should not embed both png and svg version of image
Closed, ResolvedPublic

Description

End result currently:

#ca-wikilove.icon a {

background-image: url(data:image/png;base64,…kJggg==);
background-image: url(images/heart-icons-red.png?2014-02-13T17:51:40Z)!ie;

background-image: -webkit-linear-gradient(transparent,transparent),url(images/heart-icons-red.svg?2014-02-13T17:51:40Z);

background-image: linear-gradient(transparent,transparent),url(data:image/svg+xml;base64,…Zz4NCg==);
background-image: linear-gradient(transparent,transparent),url(images/heart-icons-red.svg?2014-02-13T17:51:40Z)!ie;
}

Aside from being inconsistent (fallback png is embedded, fallback webkit gradient/svg is not embedded, primary gradient/svg is embedded), it should only embed one of them (the primary one, in this case gradient/svg).

Look at '#ca-watch.icon a {' in MediaWiki for an example:

#ca-watch.icon a {

background-image: url(images/watch-icon.png?2014-02-13T17:46:40Z);

background-image: -webkit-linear-gradient(transparent,transparent),url(images/watch-icon.svg?2014-02-14T00:15:00Z);

background-image: linear-gradient(transparent,transparent),url(data:image/svg+xml;base64,…zdmc+Cg==);
background-image: linear-gradient(transparent,transparent),url(images/watch-icon.svg?2014-02-14T00:15:00Z)!ie;


Version: unspecified
Severity: normal

Details

Reference
bz62000
Related Gerrit Patches:
mediawiki/extensions/WikiLove : masterVarious WikiLove performance clean up

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:00 AM
bzimport set Reference to bz62000.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle created this task.Feb 27 2014, 4:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 1:38 AM
Krinkle claimed this task.Mar 8 2016, 9:10 PM
Krinkle removed a project: Performance Issue.
Krinkle set Security to None.
Krinkle removed a subscriber: wikibugs-l-list.

Change 275919 had a related patch set uploaded (by Krinkle):
Various WikiLove JavaScript clean up

https://gerrit.wikimedia.org/r/275919

Change 275919 merged by jenkins-bot:
Various WikiLove performance clean up

https://gerrit.wikimedia.org/r/275919

Catrope closed this task as Resolved.Mar 10 2016, 8:40 PM
Ricordisamoa edited subscribers, added: Ricordisamoa; removed: gerritbot.